Bug 1454869 - [abrt] nemo: nemo_centered_placement_grid_clear_grid_for_selection(): nemo-desktop killed by SIGSEGV
Summary: [abrt] nemo: nemo_centered_placement_grid_clear_grid_for_selection(): nemo-de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c676d0a356ba47f2e9d898a6429...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-23 15:44 UTC by Johann Amin
Modified: 2017-06-09 19:10 UTC (History)
2 users (show)

Fixed In Version: nemo-3.4.2-1.fc25 nemo-3.4.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 11:28:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (49.40 KB, text/plain)
2017-05-23 15:44 UTC, Johann Amin
no flags Details
File: cgroup (242 bytes, text/plain)
2017-05-23 15:44 UTC, Johann Amin
no flags Details
File: core_backtrace (9.81 KB, text/plain)
2017-05-23 15:44 UTC, Johann Amin
no flags Details
File: dso_list (9.54 KB, text/plain)
2017-05-23 15:44 UTC, Johann Amin
no flags Details
File: environ (1.31 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: exploitable (82 bytes, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: maps (59.87 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: mountinfo (3.30 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: open_fds (3.03 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details
File: var_log_messages (259 bytes, text/plain)
2017-05-23 15:45 UTC, Johann Amin
no flags Details

Description Johann Amin 2017-05-23 15:44:43 UTC
Description of problem:
Was re-arranging desktop icons. Has happened 3 times today.

Version-Release number of selected component:
nemo-3.4.0-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        nemo-desktop
crash_function: nemo_centered_placement_grid_clear_grid_for_selection
executable:     /usr/bin/nemo-desktop
global_pid:     6588
kernel:         4.10.16-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nemo_centered_placement_grid_clear_grid_for_selection at nemo-centered-placement-grid.c:522
 #1 handle_local_move at nemo-icon-dnd.c:898
 #2 nemo_icon_container_receive_dropped_icons at nemo-icon-dnd.c:1161
 #3 drag_data_received_callback at nemo-icon-dnd.c:1651
 #4 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5511
 #8 g_signal_emit_by_name at gsignal.c:3487
 #9 gtk_drag_selection_received at gtkdnd.c:1181
 #13 g_signal_emit_by_name at gsignal.c:3487
 #14 gtk_selection_retrieval_report at gtkselection.c:3031
 #15 gtk_selection_convert at gtkselection.c:1143

Comment 1 Johann Amin 2017-05-23 15:44:51 UTC
Created attachment 1281644 [details]
File: backtrace

Comment 2 Johann Amin 2017-05-23 15:44:53 UTC
Created attachment 1281645 [details]
File: cgroup

Comment 3 Johann Amin 2017-05-23 15:44:56 UTC
Created attachment 1281646 [details]
File: core_backtrace

Comment 4 Johann Amin 2017-05-23 15:44:58 UTC
Created attachment 1281647 [details]
File: dso_list

Comment 5 Johann Amin 2017-05-23 15:45:00 UTC
Created attachment 1281648 [details]
File: environ

Comment 6 Johann Amin 2017-05-23 15:45:02 UTC
Created attachment 1281649 [details]
File: exploitable

Comment 7 Johann Amin 2017-05-23 15:45:04 UTC
Created attachment 1281650 [details]
File: limits

Comment 8 Johann Amin 2017-05-23 15:45:08 UTC
Created attachment 1281651 [details]
File: maps

Comment 9 Johann Amin 2017-05-23 15:45:10 UTC
Created attachment 1281652 [details]
File: mountinfo

Comment 10 Johann Amin 2017-05-23 15:45:12 UTC
Created attachment 1281653 [details]
File: namespaces

Comment 11 Johann Amin 2017-05-23 15:45:14 UTC
Created attachment 1281654 [details]
File: open_fds

Comment 12 Johann Amin 2017-05-23 15:45:16 UTC
Created attachment 1281655 [details]
File: proc_pid_status

Comment 13 Johann Amin 2017-05-23 15:45:18 UTC
Created attachment 1281656 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-05-23 19:55:50 UTC
nemo-3.4.2-1.fc25 cinnamon-3.4.1-1.fc25 cinnamon-desktop-3.4.1-1.fc25 cjs-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 15 Fedora Update System 2017-05-23 19:56:33 UTC
nemo-3.4.2-1.fc26 cinnamon-3.4.1-1.fc26 cinnamon-desktop-3.4.1-1.fc26 cjs-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 16 Fedora Update System 2017-05-25 19:19:32 UTC
cinnamon-3.4.1-1.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 17 Fedora Update System 2017-05-26 06:01:54 UTC
cinnamon-3.4.1-1.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 18 Fedora Update System 2017-05-26 11:39:20 UTC
cinnamon-3.4.1-1.fc25 cinnamon-desktop-3.4.1-1.fc25 cinnamon-session-3.4.0-6.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cjs-3.4.1-1.fc25 nemo-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 19 Fedora Update System 2017-05-26 11:41:06 UTC
cinnamon-3.4.1-1.fc26 cinnamon-desktop-3.4.1-1.fc26 cinnamon-session-3.4.0-6.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cjs-3.4.1-1.fc26 nemo-3.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 20 Fedora Update System 2017-05-26 19:34:47 UTC
cinnamon-3.4.1-1.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 21 Fedora Update System 2017-05-27 04:39:09 UTC
cinnamon-3.4.1-1.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 22 Fedora Update System 2017-05-31 23:03:32 UTC
cinnamon-3.4.1-2.fc25 cinnamon-desktop-3.4.1-1.fc25 cinnamon-session-3.4.0-6.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cjs-3.4.1-1.fc25 nemo-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 23 Fedora Update System 2017-05-31 23:05:48 UTC
cinnamon-3.4.1-2.fc26 cinnamon-desktop-3.4.1-1.fc26 cinnamon-session-3.4.0-6.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cjs-3.4.1-1.fc26 nemo-3.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 24 Fedora Update System 2017-06-01 18:05:11 UTC
cinnamon-3.4.1-2.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 25 Fedora Update System 2017-06-04 05:10:03 UTC
cinnamon-3.4.1-2.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 26 Fedora Update System 2017-06-09 11:28:58 UTC
cinnamon-3.4.1-2.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-06-09 19:10:09 UTC
cinnamon-3.4.1-2.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.